complexType "ExpectedCollateralDelivery"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (cashType | securityType | letterOfCreditType)+
</...>

Content Model Elements (3):

  cashType, letterOfCreditType, securityType

All Direct / Indirect Based Elements (1):

  deliver (defined in ExpectedCollateralDeliveryReturn complexType)

Known Usage Locations

- As direct type of elements (1):
  deliver (defined in ExpectedCollateralDeliveryReturn complexType)

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExpectedCollateralDelivery"> <xsd:choice maxOccurs="unbounded"> <xsd:element name="cashType" type="CashType"/> <xsd:element name="securityType" type="SecurityType"/> <xsd:element name="letterOfCreditType" type="LetterOfCreditType"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
cashType

  Type: | CashType, complex content

  Specifies cash as type of expected collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="cashType" type="CashType"/>

letterOfCreditType

  Type: | LetterOfCreditType, complex content

  Specifies a letter of credit as type of expected collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="letterOfCreditType" type="LetterOfCreditType"/>

securityType

  Type: | SecurityType, complex content

  Specifies a security as type of expected collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="securityType" type="SecurityType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.